API 参考
轮换签名密钥
轮换 StableOps Webhook 签名密钥并立即保存新值,旧密钥保留二十四小时过渡期,便于接收端平滑更新验签配置。接收端应使用原始请求体验签,以事件标识去重,并在可靠保存任务后应答成功。投递可能重复、并发或乱序,重放与配置调整均需配合业务状态核对。
POST
/v1/webhook-endpoints/{id}/rotate-secretAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Path Parameters
id*unknown
Webhook endpoint id.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhook-endpoints/{id}/rotate-secret"{
"id": "string",
"url": "http://example.com",
"description": "string",
"enabled_events": [
"payment_order.created"
],
"redact_metadata": true,
"disabled_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"secret": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}这篇文档怎么样?
最后更新